> ## Documentation Index
> Fetch the complete documentation index at: https://docs.check.et/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Verification

> Fetch a single verification record by ID



## OpenAPI

````yaml GET /verifications/{id}
openapi: 3.1.0
info:
  title: Check.et API
  version: '1.0'
  description: >
    Verify Ethiopian bank and wallet payments - CBE, Telebirr, Dashen, Awash,
    Bank of Abyssinia, Zemen, CBE Birr, M-Pesa Ethiopia, and Siinqee. One
    endpoint, structured JSON back every time.
  contact:
    name: Check.et Support
    url: https://t.me/Mal_tse
servers:
  - url: https://api.check.et/api/v1
    description: Production
security:
  - BearerAuth: []
paths:
  /verifications/{id}:
    get:
      summary: Get a verification
      description: Fetch a single verification record by ID.
      operationId: getVerification
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            example: 9812
      responses:
        '200':
          description: Verification record
          content:
            application/json:
              schema:
                type: object
                properties:
                  verification:
                    $ref: '#/components/schemas/Verification'
        '404':
          description: Not found
components:
  schemas:
    Verification:
      type: object
      properties:
        id:
          type: integer
          example: 9812
        bank:
          type: string
          example: cbe
        bank_name:
          type: string
          example: Commercial Bank of Ethiopia
        transaction_number:
          type: string
          example: FT26144SG2ST
        account_number:
          type: string
          nullable: true
          example: '1000876543218'
        success:
          type: boolean
          example: true
        exists:
          type: boolean
          example: true
        status:
          type: string
          nullable: true
          example: completed
        transaction_type:
          type: string
          nullable: true
          example: transfer
        amount:
          type: number
          nullable: true
          example: 1350
        currency:
          type: string
          example: ETB
        payer_name:
          type: string
          nullable: true
          example: Hayat Ahmed
        transaction_date:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
          example: '2025-06-10T14:32:11+03:00'
        source:
          type: object
          properties:
            type:
              type: string
              enum:
                - api
                - app
              example: api
            label:
              type: string
              example: 'API: production'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key from your dashboard - starts with `chk_`. Requires a business
        account.

````